Groovy 1.7.0

## groovy.lang
Class Index

    java.lang.Object
      org.codehaus.groovy.util.ComplexKeyHashMap
          org.codehaus.groovy.util.SingleKeyHashMap
              groovy.lang.Index

    class Index
    extends SingleKeyHashMap

Field Summary

Fields inherited from class ComplexKeyHashMap
DEFAULT_CAPACITY, MAXIMUM_CAPACITY, MINIMUM_CAPACITY, size, table, threshold

Constructor Summary
`Index(int size)`
`Index()`
`Index(boolean size)`

Method Summary
`boolean` | `checkEquals(def e, Object key)`
`SingleKeyHashMap` | `getNotNull(CachedClass key)`
`SingleKeyHashMap` | `getNullable(CachedClass clazz)`
`void` | `put(CachedClass key, SingleKeyHashMap value)`

Methods inherited from class SingleKeyHashMap
SingleKeyHashMap, SingleKeyHashMap, containsKey, copy, get, getOrPut, getOrPutEntry, put, putCopyOfUnexisting, remove

Methods inherited from class ComplexKeyHashMap
ComplexKeyHashMap, ComplexKeyHashMap, ComplexKeyHashMap, clear, getEntrySetIterator, getTable, hash, init, isEmpty, resize, size

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### Index

    public Index(int size)

### Index

    public Index()

### Index

    public Index(boolean size)

Method Detail

### checkEquals

    public boolean checkEquals(def e, Object key)

### getNotNull

    public SingleKeyHashMap getNotNull(CachedClass key)

### getNullable

    public SingleKeyHashMap getNullable(CachedClass clazz)

### put

    public void put(CachedClass key, SingleKeyHashMap value)

Copyright © 2003-2009 The Codehaus. All rights reserved.